#include <bits/stdc++.h>
using namespace std;
int a=0;
int c=1;
vector<int> &pom; //niz iz kojeg se izbacuje n-k+1  najboljih(imace n nad k elem. n>=k)
void unos(vector<long long> &p,int n){
for(int i=0 ;i<n ; i++){
    int x;
    cin>>x;
    p.push_back(x);
}
}
void obrada(vector<long long> &b,int k,vector<long long> &p,int n){
int e=0;
for(int i=0;i<n;i++){
    
}
}
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    int n,k,x;
    cin>>n>>k>>x;
    // a=c*b[i];
    //if(nesto) c++;
    vector<long long> p(n);
    vector<long long> b(k);
    unos(p,n);
    return 0;
}